Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi.impl
Class TEndpointReferencesImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.apache.ode.bpel.pmapi.impl.TEndpointReferencesImpl

All Implemented Interfaces:
  java.io.Serializable, TEndpointReferences, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

    public class TEndpointReferencesImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements TEndpointReferences

An XML tEndpointReferences(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `TEndpointReferencesImpl.EndpointRefImpl` An XML endpoint-ref(@http://www.apache.org/ode/pmapi/types/2006/08/02/).

Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.TEndpointReferences
`TEndpointReferences.EndpointRef, TEndpointReferences.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.apache.ode.bpel.pmapi.TEndpointReferences
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`TEndpointReferencesImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`TEndpointReferences.EndpointRef` | `addNewEndpointRef()` Appends and returns a new empty value (as xml) as the last "endpoint-ref" element
`TEndpointReferences.EndpointRef[]` | `getEndpointRefArray()` Gets array of all "endpoint-ref" elements
`TEndpointReferences.EndpointRef` | `getEndpointRefArray(int i)` Gets ith "endpoint-ref" element
`java.util.List<TEndpointReferences.EndpointRef>` | `getEndpointRefList()` Gets a List of "endpoint-ref" elements
`TEndpointReferences.EndpointRef` | `insertNewEndpointRef(int i)` Inserts and returns a new empty value (as xml) as the ith "endpoint-ref" element
`void` | `removeEndpointRef(int i)` Removes the ith "endpoint-ref" element
`void` | `setEndpointRefArray(int i, TEndpointReferences.EndpointRef endpointRef)` Sets ith "endpoint-ref" element
`void` | `setEndpointRefArray(TEndpointReferences.EndpointRef[] endpointRefArray)` Sets array of all "endpoint-ref" element
`int` | `sizeOfEndpointRefArray()` Returns number of "endpoint-ref" element

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### TEndpointReferencesImpl

    public TEndpointReferencesImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getEndpointRefList

    public java.util.List<TEndpointReferences.EndpointRef> getEndpointRefList()

  Gets a List of "endpoint-ref" elements

  Specified by:
    `getEndpointRefList` in interface `TEndpointReferences`

### getEndpointRefArray

    public TEndpointReferences.EndpointRef[] getEndpointRefArray()

  Gets array of all "endpoint-ref" elements

  Specified by:
    `getEndpointRefArray` in interface `TEndpointReferences`

### getEndpointRefArray

    public TEndpointReferences.EndpointRef getEndpointRefArray(int i)

  Gets ith "endpoint-ref" element

  Specified by:
    `getEndpointRefArray` in interface `TEndpointReferences`

### sizeOfEndpointRefArray

    public int sizeOfEndpointRefArray()

  Returns number of "endpoint-ref" element

  Specified by:
    `sizeOfEndpointRefArray` in interface `TEndpointReferences`

### setEndpointRefArray

    public void setEndpointRefArray(TEndpointReferences.EndpointRef[] endpointRefArray)

  Sets array of all "endpoint-ref" element

  Specified by:
    `setEndpointRefArray` in interface `TEndpointReferences`

### setEndpointRefArray

    public void setEndpointRefArray(int i,
                                    TEndpointReferences.EndpointRef endpointRef)

  Sets ith "endpoint-ref" element

  Specified by:
    `setEndpointRefArray` in interface `TEndpointReferences`

### insertNewEndpointRef

    public TEndpointReferences.EndpointRef insertNewEndpointRef(int i)

  Inserts and returns a new empty value (as xml) as the ith "endpoint-ref" element

  Specified by:
    `insertNewEndpointRef` in interface `TEndpointReferences`

### addNewEndpointRef

    public TEndpointReferences.EndpointRef addNewEndpointRef()

  Appends and returns a new empty value (as xml) as the last "endpoint-ref" element

  Specified by:
    `addNewEndpointRef` in interface `TEndpointReferences`

### removeEndpointRef

    public void removeEndpointRef(int i)

  Removes the ith "endpoint-ref" element

  Specified by:
    `removeEndpointRef` in interface `TEndpointReferences`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD